Skip to main content
GET
/
api
/
v2
/
tryLocateTx
Try locate transaction
curl --request GET \
  --url https://toncenter.com/api/v2/tryLocateTx \
  --header 'X-API-Key: <api-key>'
{
  "ok": true,
  "result": {
    "@type": "ext.transaction",
    "address": {
      "@type": "accountAddress",
      "account_address": "<string>"
    },
    "account": "<string>",
    "utime": 123,
    "data": "<string>",
    "transaction_id": {
      "@type": "internal.transactionId",
      "lt": "<string>",
      "hash": "<string>"
    },
    "fee": "<string>",
    "storage_fee": "<string>",
    "other_fee": "<string>",
    "out_msgs": [
      {
        "@type": "ext.message",
        "hash": "<string>",
        "source": "<string>",
        "destination": "<string>",
        "value": "<string>",
        "extra_currencies": [
          {
            "@type": "extraCurrency",
            "id": 123,
            "amount": "<string>"
          }
        ],
        "fwd_fee": "<string>",
        "ihr_fee": "<string>",
        "created_lt": "<string>",
        "body_hash": "<string>",
        "msg_data": {
          "@type": "msg.dataRaw",
          "body": "<string>",
          "init_state": "<string>"
        },
        "message": "<string>",
        "message_decode_error": "<string>"
      }
    ],
    "in_msg": {
      "@type": "ext.message",
      "hash": "<string>",
      "source": "<string>",
      "destination": "<string>",
      "value": "<string>",
      "extra_currencies": [
        {
          "@type": "extraCurrency",
          "id": 123,
          "amount": "<string>"
        }
      ],
      "fwd_fee": "<string>",
      "ihr_fee": "<string>",
      "created_lt": "<string>",
      "body_hash": "<string>",
      "msg_data": {
        "@type": "msg.dataRaw",
        "body": "<string>",
        "init_state": "<string>"
      },
      "message": "<string>",
      "message_decode_error": "<string>"
    }
  },
  "@extra": "<string>"
}

Authorizations

X-API-Key
string
header
required

API key header of the form X-API-Key: <token>, where <token> is your API key. Requests without a key are limited to 1 RPS. More info here.

Query Parameters

source
string
required

Source account address. Account address in raw format (e.g., 0:ca6e321c...) or user-friendly format (e.g., EQDKbjIcfM...). All formats are automatically detected.

destination
string
required

Destination account address. Account address in raw format (e.g., 0:ca6e321c...) or user-friendly format (e.g., EQDKbjIcfM...). All formats are automatically detected.

created_lt
string
required

The logical time when the message was created. You can find this in the created_lt field of message objects.

Response

Returns the transaction matching the given source, destination, and created logical time.

ok
boolean
default:true
required

Returns true if the request succeeded; otherwise false. See the error field for details.

result
object
required

Response data. Present only when ok is true.

@extra
string

Optional request ID that you can pass in the request and receive back in the response. Useful for matching async responses.